import { Requester } from '@algolia/client-common';
import http from 'http';
import https from 'https';

declare function echoRequester(status?: number): Requester;

type CreateHttpRequesterOptions = Partial<{
    agent: http.Agent | https.Agent;
    httpAgent: http.Agent;
    httpsAgent: https.Agent;
    /**
     * RequestOptions to be merged with the end request, it will override default options if provided.
     */
    requesterOptions: https.RequestOptions;
}>;
declare function createHttpRequester({ agent: userGlobalAgent, httpAgent: userHttpAgent, httpsAgent: userHttpsAgent, requesterOptions, }?: CreateHttpRequesterOptions): Requester;

export { type CreateHttpRequesterOptions, createHttpRequester, echoRequester };
